[Unit]
Description=Griffin Avahi zeroconf service
Requires=avahi-daemon.service griffin.printer.service griffin.system.service
After=avahi-daemon.service griffin.printer.service griffin.system.service
Wants=avahi-daemon.service

[Service]
# TODO EM-366 the restart/timeout things are probably not even related,
# the prestart delay is a 'hack' to make sure this service starts after
# avahi-daemon is hopefully up.
ExecStartPre=/bin/sleep 3s
ExecStart=/usr/bin/python3.4 /usr/share/griffin/main.py griffin.interface.avahi.avahiService AvahiService 80
Restart=on-failure
RestartSec=10s
TimeoutStartSec=10s
Type=simple
User=ultimaker

[Install]
WantedBy=griffin.target
